Skip to main content
`Ctrl`+`K`

# MatKAIJSetAIJ

Set the `MATAIJ` matrix describing the blockwise action of the `MATKAIJ` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJSetAIJ(Mat A, Mat B)

Logically Collective; if the `MATAIJ` matrix is parallel, the `MATKAIJ` matrix is also parallel

## Input Parameters

- A - the `MATKAIJ` matrix

- B - the `MATAIJ` matrix

## Notes

This function increases the reference count on the `MATAIJ` matrix, so the user is free to destroy the matrix if it is not needed.

Changes to the entries of the `MATAIJ` matrix will immediately affect the `MATKAIJ` matrix.

## See Also

Matrices, `Mat`, `MATKAIJ`, `MatKAIJGetAIJ()`, `MatKAIJSetS()`, `MatKAIJSetT()`

## Level

advanced

## Location

src/mat/impls/kaij/kaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages